| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | Protected Member Functions | List of all members
Tp::AbstractDBusServiceInterface Class Referenceabstract
Service-side implementation

Base class for D-Bus service interfaces. More...

`#include <TelepathyQt/AbstractDBusServiceInterface>`

Inheritance diagram for Tp::AbstractDBusServiceInterface:
[legend]

## Public Member Functions

| AbstractDBusServiceInterface (const QString &interfaceName)
virtual | ~AbstractDBusServiceInterface ()
QString | interfaceName () const
virtual QVariantMap | immutableProperties () const =0
DBusObject * | dbusObject () const
bool | isRegistered () const
bool | notifyPropertyChanged (const QString &propertyName, const QVariant &propertyValue)
Public Member Functions inherited from Tp::Object
virtual | ~Object ()
Public Member Functions inherited from QObject
| QObject (QObject *parent)
virtual | ~QObject ()
virtual bool | event (QEvent *e)
virtual bool | eventFilter (QObject *watched, QEvent *event)
virtual const QMetaObject * | metaObject () const
QString | objectName () const
void | setObjectName (const QString &name)
bool | isWidgetType () const
bool | signalsBlocked () const
bool | blockSignals (bool block)
QThread * | thread () const
void | moveToThread (QThread *targetThread)
int | startTimer (int interval)
void | killTimer (int id)
T | findChild (const QString &name) const
QList< T > | findChildren (const QString &name) const
QList< T > | findChildren (const QRegExp &regExp) const
QObject * | child (const char *objName, const char *inheritsClass, bool recursiveSearch) const
const QObjectList & | children () const
void | setParent (QObject *parent)
void | installEventFilter (QObject *filterObj)
void | removeEventFilter (QObject *obj)
bool | connect (const QObject *sender, const char *signal, const char *method, Qt::ConnectionType type) const
bool | disconnect (const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *receiver, const char *method)
void | dumpObjectTree ()
void | dumpObjectInfo ()
bool | setProperty (const char *name, const QVariant &value)
QVariant | property (const char *name) const
QList< QByteArray > | dynamicPropertyNames () const
void | destroyed (QObject *obj)
QObject * | parent () const
bool | inherits (const char *className) const
void | deleteLater ()
| QObject (QObject *parent, const char *name)
void | insertChild (QObject *object)
void | removeChild (QObject *object)
bool | isA (const char *className) const
const char * | className () const
const char * | name () const
const char * | name (const char *defaultName) const
void | setName (const char *name)
Public Member Functions inherited from Tp::RefCounted
| RefCounted ()
virtual | ~RefCounted ()

## Protected Member Functions

virtual bool | registerInterface (DBusObject *dbusObject)
virtual void | createAdaptor ()=0
Protected Member Functions inherited from Tp::Object
| Object ()
void | notify (const char *propertyName)
Protected Member Functions inherited from QObject
QObject * | sender () const
int | senderSignalIndex () const
int | receivers (const char *signal) const
virtual void | timerEvent (QTimerEvent *event)
virtual void | childEvent (QChildEvent *event)
virtual void | customEvent (QEvent *event)
virtual void | connectNotify (const char *signal)
virtual void | disconnectNotify (const char *signal)
bool | checkConnectArgs (const char *signal, const QObject *object, const char *method)

## Additional Inherited Members

Signals inherited from Tp::Object
void | propertyChanged (const QString &propertyName)
Static Public Member Functions inherited from QObject
QString | tr (const char *sourceText, const char *disambiguation, int n)
QString | trUtf8 (const char *sourceText, const char *disambiguation, int n)
bool | connect (const QObject *sender, const char *signal, const QObject *receiver, const char *method, Qt::ConnectionType type)
bool | connect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method, Qt::ConnectionType type)
bool | disconnect (const QObject *sender, const char *signal, const QObject *receiver, const char *method)
bool | disconnect (const QObject *sender, const QMetaMethod &signal, const QObject *receiver, const QMetaMethod &method)
Static Protected Member Functions inherited from QObject
QByteArray | normalizeSignalSlot (const char *signalSlot)
Properties inherited from QObject
| objectName

## Detailed Description

Base class for D-Bus service interfaces.

This class serves as a base for all the classes that are used to implement interfaces that sit on top of D-Bus services.

## Constructor & Destructor Documentation

## § AbstractDBusServiceInterface()

Tp::AbstractDBusServiceInterface::AbstractDBusServiceInterface | ( | const QString & | interfaceName | ) |

Construct an AbstractDBusServiceInterface that implements the interface with the given interfaceName.

Parameters

  interfaceName | The name of the interface that this class implements.

## § ~AbstractDBusServiceInterface()

Tp::AbstractDBusServiceInterface::~AbstractDBusServiceInterface | ( |  | ) |

virtual

Class destructor.

## Member Function Documentation

## § interfaceName()

QString Tp::AbstractDBusServiceInterface::interfaceName | ( |  | ) | const

Return the name of the interface that this class implements, as given on the constructor.

Returns
  The name of the interface that this class implements.

## § immutableProperties()

QVariantMap Tp::AbstractDBusServiceInterface::immutableProperties | ( |  | ) | const

pure virtual

Return the immutable properties of this interface.

Immutable properties cannot change after the interface has been registered on a service on the bus with registerInterface().

Returns
  The immutable properties of this interface.

Implemented in Tp::BaseChannelSMSInterface, Tp::BaseChannelConferenceInterface, Tp::BaseChannelSplittableInterface, Tp::BaseChannelMergeableConferenceInterface, Tp::BaseChannelHoldInterface, Tp::BaseChannelCallType, Tp::BaseChannelRoomConfigInterface, Tp::BaseChannelRoomInterface, Tp::BaseConnectionContactCapabilitiesInterface, Tp::BaseChannelGroupInterface, Tp::BaseConnectionClientTypesInterface, Tp::BaseChannelChatStateInterface, Tp::BaseChannelSecurableInterface, Tp::BaseConnectionAvatarsInterface, Tp::BaseConnectionAliasingInterface, Tp::BaseChannelSASLAuthenticationInterface, Tp::BaseConnectionAddressingInterface, Tp::BaseChannelCaptchaAuthenticationInterface, Tp::BaseConnectionContactInfoInterface, Tp::BaseChannelServerAuthenticationType, Tp::BaseChannelRoomListType, Tp::BaseConnectionContactListInterface, Tp::BaseConnectionSimplePresenceInterface, Tp::BaseProtocolPresenceInterface, Tp::BaseChannelFileTransferType, Tp::BaseConnectionContactsInterface, Tp::BaseProtocolAvatarsInterface, Tp::BaseChannelMessagesInterface, Tp::BaseConnectionRequestsInterface, Tp::BaseProtocolAddressingInterface, Tp::BaseCallContentDTMFInterface, Tp::BaseChannelTextType, and Tp::BaseCallMuteInterface.

## § dbusObject()

DBusObject * Tp::AbstractDBusServiceInterface::dbusObject | ( |  | ) | const

Return the DBusObject on which the adaptor of this interface is plugged.

This is only accessible after the interface has been registered with registerInterface().

Returns
  a pointer to the DBusObject on which the adaptor of this interface is plugged.

See also
  DBusService::dbusObject()

## § isRegistered()

bool Tp::AbstractDBusServiceInterface::isRegistered | ( |  | ) | const

Return whether this interface has been registered.

Returns
  `true` if the service has been registered, or `false` otherwise.

See also
  registerInterface()

## § registerInterface()

bool Tp::AbstractDBusServiceInterface::registerInterface | ( | DBusObject * | dbusObject | ) |

protected virtual

Registers this interface by plugging its adaptor on the given dbusObject.

Parameters

  dbusObject | The object on which to plug the adaptor.

Returns
  `false` if the interface has already been registered, or true otherwise.

See also
  isRegistered()

## § createAdaptor()

void Tp::AbstractDBusServiceInterface::createAdaptor | ( |  | ) |

protected pure virtual

Create the adaptor for this interface.

Subclasses should reimplement this appropriately.

## § notifyPropertyChanged()

bool Tp::AbstractDBusServiceInterface::notifyPropertyChanged | ( | const QString & | propertyName,
|  | const QVariant & | propertyValue
| ) |  |

Emit PropertiesChanged signal on object org.freedesktop.DBus.Properties interface with the property propertyName.

Parameters

  propertyName | The name of the changed property.
  propertyValue | The actual value of the changed property.

Returns
  `false` if the signal can not be emmited or true otherwise.